﻿function number_format(number, decimals, dec_point, thousands_sep) {
    number = (number + '').replace(/[^0-9+\-Ee.]/g, '');
    var n = !isFinite(+number) ? 0 : +number,
        prec = !isFinite(+decimals) ? 0 : Math.abs(decimals),
        sep = (typeof thousands_sep === 'undefined') ? ',' : thousands_sep,
        dec = (typeof dec_point === 'undefined') ? '.' : dec_point,
        s = '',
        toFixedFix = function (n, prec) {
            var k = Math.pow(10, prec);
            return '' + Math.round(n * k) / k;
        };
    s = (prec ? toFixedFix(n, prec) : '' + Math.round(n)).split('.');
    if (s[0].length > 3) {
        s[0] = s[0].replace(/\B(?=(?:\d{3})+(?!\d))/g, sep);
    }
    if ((s[1] || '').length < prec) {
        s[1] = s[1] || '';
        s[1] += new Array(prec - s[1].length + 1).join('0');
    }
    return s.join(dec);
}

function main() {

  var prefs = AnyBalance.getPreferences();
  var card_number = prefs.card_number; 
  var pin_code = prefs.pin_code; 

  var info = AnyBalance.requestPost('http://cabinet.mega-karta.ru/services/info.php', {
               card_number:card_number,
               pin_code:pin_code}
             );

  var result = {success: true};

  try {
    card_info = JSON.parse(info);

    result['card_name'] = card_info['cards'][card_number]['name'];
    result['balance'] = card_info['cards'][card_number]['balance'];

    limit   = card_info['cards'][card_number]['day_limit_m'];
    expense = card_info['cards'][card_number]['day_expense_m'];
    result['day_limit_m']   = (limit > 0) ? (number_format(limit, 2, '.', ' ') + 'р') : 'без ограничений';
    result['day_expense_m'] = expense;
    result['day_balance_m'] = (limit > 0) ? (number_format(limit - expense, 2, '.' , ' ') + 'р') : 'без ограничений';

    limit   = card_info['cards'][card_number]['day_limit_l'];
    expense = card_info['cards'][card_number]['day_expense_l'];
    result['day_limit_l']   = (limit > 0) ? (number_format(limit, 0, '.', ' ') + 'л') : 'без ограничений';
    result['day_expense_l'] = expense;
    result['day_balance_l'] = (limit > 0) ? (number_format(limit - expense, 0, '.', ' ') + 'л') : 'без ограничений';

    limit   = card_info['cards'][card_number]['month_limit_m'];
    expense = card_info['cards'][card_number]['month_expense_m'];
    result['month_limit_m']   = (limit > 0) ? (number_format(limit, 2, '.', ' ') + 'р') : 'без ограничений';
    result['month_expense_m'] = expense;
    result['month_balance_m'] = (limit > 0) ? (number_format(limit - expense, 2, '.', ' ') + 'р') : 'без ограничений';

    limit   = card_info['cards'][card_number]['month_limit_l'];
    expense = card_info['cards'][card_number]['month_expense_l'];
    result['month_limit_l']   = (limit > 0) ? (number_format(limit, 0, '.', ' ') + 'л') : 'без ограничений';
    result['month_expense_l'] = expense;
    result['month_balance_l'] = (limit > 0) ? (number_format(limit - expense, 0, '.', ' ') + 'л') : 'без ограничений';
  }
  catch(e) {
  }

  //Возвращаем результат
  AnyBalance.setResult(result);
}
